Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class TradSesStatusFactory

    java.lang.Object
      com.fxcm.fix.TradSesStatusFactory

    public class TradSesStatusFactory

extends Object

Valid codes of TradSesStatus field.

Field Summary
`static ITradSesStatus` | `CLOSED` Trading session status code: Closed
`static ITradSesStatus` | `HALTED` Trading session status code: Halted
`static ITradSesStatus` | `OPEN` Trading session status code: Open
`static ITradSesStatus` | `PRECLOSE` Trading session status code: Pre-Close
`static ITradSesStatus` | `PREOPEN` Trading session status code: Pre-Open
`static ITradSesStatus` | `REQUESTREJECTED` Trading session status code: Request Rejected
`static ITradSesStatus` | `UNKNOWN` Trading session status code: Unknown

Constructor Summary
`TradSesStatusFactory()`

Method Summary
`static ITradSesStatus` | `toStatus(int aCode)` Converts string to status object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final ITradSesStatus UNKNOWN

  Trading session status code: Unknown

### HALTED

    public static final ITradSesStatus HALTED

  Trading session status code: Halted

### OPEN

    public static final ITradSesStatus OPEN

  Trading session status code: Open

### CLOSED

    public static final ITradSesStatus CLOSED

  Trading session status code: Closed

### PREOPEN

    public static final ITradSesStatus PREOPEN

  Trading session status code: Pre-Open

### PRECLOSE

    public static final ITradSesStatus PRECLOSE

  Trading session status code: Pre-Close

### REQUESTREJECTED

    public static final ITradSesStatus REQUESTREJECTED

  Trading session status code: Request Rejected

Constructor Detail

### TradSesStatusFactory

    public TradSesStatusFactory()

Method Detail

### toStatus

    public static ITradSesStatus toStatus(int aCode)

  Converts string to status object.

  Parameters:
    `aCode` - The one from `TRADSESSTATUS_*` constants
  Returns:
    ITradSesStatus object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.